﻿using Microsoft.AspNetCore.Authentication.OAuth;

namespace AspNet.Security.OAuth.MyGut
{
    public class MyGutAuthenticationOptions : OAuthOptions
    {
        public MyGutAuthenticationOptions()
        {
            ClaimsIssuer = MyGutAuthenticationDefaults.Issuer;
            CallbackPath = MyGutAuthenticationDefaults.CallbackPath;
            AuthorizationEndpoint = MyGutAuthenticationDefaults.AuthorizationEndpoint;
            TokenEndpoint = MyGutAuthenticationDefaults.TokenEndpoint;
            UserInformationEndpoint = MyGutAuthenticationDefaults.UserInformationEndpoint;
        }
    }
}